<!-- Login Header -->
<div class="hd-modal-header text-center">
    Login to HappyDev
</div>
<form [formGroup]="_form" (ngSubmit)="_onSubmit()">
    <!-- Email form input -->
    <div class="form-group" [ngClass]="_formBuilder.groupClass(_formState['email'])">
        <input type="text" id="email" class="form-control" formControlName="email" />
        <label for="email" [ngClass]="{'shrink': _form.value.email}">Email</label>
        <form-field-errors id="emailErrors" [field]="_formState['email']"></form-field-errors>
    </div>

    <!-- Password form input -->
    <div class="form-group" [ngClass]="_formBuilder.groupClass(_formState['password'])">
        <input type="password" id="password" class="form-control" formControlName="password" />
        <label for="password" [ngClass]="{'shrink': _form.value.password}">Password</label>
        <form-field-errors id="passwordErrors" [field]="_formState['password']"></form-field-errors>
    </div>

    <!-- Login Failed error message -->
    <div *ngIf="_loginFailed" class="failed" id="loginFailed">
        Login failed - invalid email/password combination
    </div>

    <!-- Unknown Error error message -->
    <div *ngIf="_unexpectedError" class="failed" id="unexpectedError">
        An unexpected error occurred - oops!
    </div>

    <div class="text-center">
        <!-- Login button -->
        <button type="submit" class="submit-btn" [disabled]="!_form.valid" id="loginButton">Login</button>

        <!-- Remember Me form checkbox -->
        <div class="checkbox">
            <label for="remember_me">
                <input type="checkbox" id="remember_me" formControlName="remember_me" />
                Remember me
            </label>
        </div>
    </div>
</form>
